Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class PlainCardData1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.PlainCardData1

    public class PlainCardData1
    extends java.lang.Object

Java class for PlainCardData1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PlainCardData1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PAN" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Min8Max28NumericText"/>
             <element name="CardSeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Min2Max3NumericText" minOccurs="0"/>
             <element name="FctvDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ISOYearMonth" minOccurs="0"/>
             <element name="XpryDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ISOYearMonth"/>
             <element name="SvcCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Exact3NumericText" minOccurs="0"/>
             <element name="TrckData" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}TrackData1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CardSctyCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CardSecurityInformation1" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CardSecurityInformation1` `cardSctyCd`
`protected java.lang.String` `cardSeqNb`
`protected javax.xml.datatype.XMLGregorianCalendar` `fctvDt`
`protected java.lang.String` `pan`
`protected java.lang.String` `svcCd`
`protected java.util.List<TrackData1>` `trckData`
`protected javax.xml.datatype.XMLGregorianCalendar` `xpryDt`

### Constructor Summary

Constructors
`PlainCardData1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CardSecurityInformation1` `getCardSctyCd()` Gets the value of the cardSctyCd property.
`java.lang.String` `getCardSeqNb()` Gets the value of the cardSeqNb property.
`javax.xml.datatype.XMLGregorianCalendar` `getFctvDt()` Gets the value of the fctvDt property.
`java.lang.String` `getPAN()` Gets the value of the pan property.
`java.lang.String` `getSvcCd()` Gets the value of the svcCd property.
`java.util.List<TrackData1>` `getTrckData()` Gets the value of the trckData property.
`javax.xml.datatype.XMLGregorianCalendar` `getXpryDt()` Gets the value of the xpryDt property.
`void` `setCardSctyCd​(CardSecurityInformation1 value)` Sets the value of the cardSctyCd property.
`void` `setCardSeqNb​(java.lang.String value)` Sets the value of the cardSeqNb property.
`void` `setFctvDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the fctvDt property.
`void` `setPAN​(java.lang.String value)` Sets the value of the pan property.
`void` `setSvcCd​(java.lang.String value)` Sets the value of the svcCd property.
`void` `setXpryDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the xpryDt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pan

    protected java.lang.String pan

#### cardSeqNb

    protected java.lang.String cardSeqNb

#### fctvDt

    protected javax.xml.datatype.XMLGregorianCalendar fctvDt

#### xpryDt

    protected javax.xml.datatype.XMLGregorianCalendar xpryDt

#### svcCd

    protected java.lang.String svcCd

#### trckData

    protected java.util.List<TrackData1> trckData

#### cardSctyCd

    protected CardSecurityInformation1 cardSctyCd

### Constructor Detail

#### PlainCardData1

    public PlainCardData1()

### Method Detail

#### getPAN

    public java.lang.String getPAN()

Gets the value of the pan property.

Returns:
  possible object is `String`

#### setPAN

    public void setPAN​(java.lang.String value)

Sets the value of the pan property.

Parameters:
  `value` - allowed object is `String`

#### getCardSeqNb

    public java.lang.String getCardSeqNb()

Gets the value of the cardSeqNb property.

Returns:
  possible object is `String`

#### setCardSeqNb

    public void setCardSeqNb​(java.lang.String value)

Sets the value of the cardSeqNb property.

Parameters:
  `value` - allowed object is `String`

#### getFctvDt

    public javax.xml.datatype.XMLGregorianCalendar getFctvDt()

Gets the value of the fctvDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setFctvDt

    public void setFctvDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the fctvDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getXpryDt

    public javax.xml.datatype.XMLGregorianCalendar getXpryDt()

Gets the value of the xpryDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setXpryDt

    public void setXpryDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the xpryDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getSvcCd

    public java.lang.String getSvcCd()

Gets the value of the svcCd property.

Returns:
  possible object is `String`

#### setSvcCd

    public void setSvcCd​(java.lang.String value)

Sets the value of the svcCd property.

Parameters:
  `value` - allowed object is `String`

#### getTrckData

    public java.util.List<TrackData1> getTrckData()

Gets the value of the trckData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the trckData property.

For example, to add a new item, do as follows:

        getTrckData().add(newItem);

Objects of the following type(s) are allowed in the list `TrackData1`

#### getCardSctyCd

    public CardSecurityInformation1 getCardSctyCd()

Gets the value of the cardSctyCd property.

Returns:
  possible object is `CardSecurityInformation1`

#### setCardSctyCd

    public void setCardSctyCd​(CardSecurityInformation1 value)

Sets the value of the cardSctyCd property.

Parameters:
  `value` - allowed object is `CardSecurityInformation1`